---
id: ceskeforum
name: CeskeForum
description: "CeskeForum is a CZECH Private Torrent Tracker for MOVIES / TV / GENERAL"
language: cs-CZ
type: private
encoding: UTF-8
links:
  - https://t.ceskeforum.com/

caps:
  categorymappings:
    - {id: 401, cat: Movies, desc: "Filmy (Movies)"}
    - {id: 403, cat: TV, desc: "TV pořady (TV Shows)"}
    - {id: 404, cat: TV/Documentary, desc: "TV dokumenty (Documentaries)"}
    - {id: 408, cat: TV, desc: "TV seriály - kompletní série (TV Series complete)"}
    - {id: 402, cat: TV, desc: "TV seriály - jednotlivé díly (TV Series episodes)"}
    - {id: 407, cat: TV/Sport, desc: "Sport"}
    - {id: 411, cat: Books, desc: "Knihy (Books)"}
    - {id: 413, cat: Audio/Audiobook, desc: "Knihy ve zvukové podobě (AudioBooks)"}
    - {id: 406, cat: Audio, desc: "Hudba (Music)"}
    - {id: 410, cat: PC, desc: "Software"}
    - {id: 412, cat: PC/Games, desc: "Software - Hry (Games)"}
    - {id: 409, cat: Other, desc: "Nezařazené (Misc)"}

  modes:
    search: [q]
    tv-search: [q, season, ep, imdbid]
    movie-search: [q, imdbid]
    music-search: [q]
    book-search: [q]

settings:
  - name: username
    type: text
    label: Username
  - name: password
    type: password
    label: Password
  - name: freeleech
    type: checkbox
    label: Search freeleech only
    default: false
  - name: sort
    type: select
    label: Sort requested from site
    default: 4
    options:
      4: created
      7: seeders
      5: size
      1: title
  - name: type
    type: select
    label: Order requested from site
    default: desc
    options:
      desc: desc
      asc: asc
  - name: info_tpp
    type: info
    label: Results Per Page
    default: For best results, change the <b>Torrents per page:</b> setting to <b>100</b> on your account profile.

login:
  path: takelogin.php
  method: post
  inputs:
    username: "{{ .Config.username }}"
    password: "{{ .Config.password }}"
    logout: ""
    securelogin: ""
    ssl: yes
    trackerssl: yes
  error:
    - selector: td.embedded:has(h2:contains("Přihlášení selhalo!"))
      message:
        selector: td.text
  test:
    path: index.php
    selector: a[href="logout.php"]

search:
  paths:
    - path: torrents.php
  inputs:
    $raw: "{{ range .Categories }}cat{{.}}=1&{{end}}"
    search: "{{ if .Query.IMDBID }}{{ .Query.IMDBID }}{{ else }}{{ .Keywords }}{{ end }}"
    # 0=incldead, 1=active, 2=dead
    incldead: 0
    # show promotions: 0=all, 1=normal, 2=free, 3=2x, 4=2xFree, 5=50%, 6=2x50%, 7=30%
    spstate: "{{ if .Config.freeleech }}2{{ else }}0{{ end }}"
    # 0=title, 1=descr, 3=uploader, 4=imdb URL
    search_area: "{{ if .Query.IMDBID }}4{{ else }}0{{ end }}"
    # 0=AND, 1=OR, 2=Exact
    search_mode: 0
    sort: "{{ .Config.sort }}"
    type: "{{ .Config.type }}"
    notnewword: 1
    # can support genre searching but you need to know the id, eg &team10=1 for Drama (id is 10)

  rows:
    selector: table.torrents > tbody > tr:has(table.torrentname)

  fields:
    category:
      selector: a[href^="?cat="]
      attribute: href
      filters:
        - name: querystring
          args: cat
    title_default:
      selector: a[href^="details.php?id="]
    title:
      selector: a[title][href^="details.php?id="]
      attribute: title
      optional: true
      default: "{{ .Result.title_default }}"
    details:
      selector: a[href^="details.php?id="]
      attribute: href
    download:
      selector: a[href^="download.php?id="]
      attribute: href
    imdbid:
      selector: a[href*="imdb.com/title/tt"]
      attribute: href
    date_elapsed:
      # time type: time elapsed (default)
      selector: td.rowfollow:nth-child(4) > span[title]
      attribute: title
      optional: true
      filters:
        - name: append
          args: " +02:00" # EET
        - name: dateparse
          args: "yyyy-MM-dd HH:mm:ss zzz"
    date_added:
      # time added
      selector: td.rowfollow:nth-child(4):not(:has(span))
      optional: true
      filters:
        - name: append
          args: " +02:00" # EET
        - name: dateparse
          args: "yyyy-MM-ddHH:mm:ss zzz"
    date:
      text: "{{ if or .Result.date_elapsed .Result.date_added }}{{ or .Result.date_elapsed .Result.date_added }}{{ else }}now{{ end }}"
    size:
      selector: td.rowfollow:nth-child(5)
    seeders:
      selector: td.rowfollow:nth-child(6)
    leechers:
      selector: td.rowfollow:nth-child(7)
    grabs:
      selector: td.rowfollow:nth-child(8)
    downloadvolumefactor:
      case:
        img.pro_free: 0
        img.pro_free2up: 0
        img.pro_50pctdown: 0.5
        img.pro_50pctdown2up: 0.5
        img.pro_30pctdown: 0.3
        "*": 1
    uploadvolumefactor:
      case:
        img.pro_50pctdown2up: 2
        img.pro_free2up: 2
        img.pro_2up: 2
        "*": 1
    description:
      selector: td.rowfollow:nth-child(2)
      remove: a, b, font, img, span
    genre:
      selector: table.torrentname > tbody > tr > td:first-child
      remove: a
      filters:
        - name: validate
          args: "Akční, Animovaný, Dobrodružný, Dokumentární, Drama, Fantasy, Horor, Komedie, Krimi, Pohádka, Rodinný, Romantický, Sci-Fi, Thriller, Válečný, Western"
# NexusPHP Standard v1.5 Beta 4
